/*
 *
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

package ejb.users;

import javax.ejb.EJBObject;
import java.rmi.RemoteException;
import java.sql.*;


public interface User extends EJBObject {
    


    public String getName() throws RemoteException;
    public String getEmail() throws RemoteException;
    public Timestamp getLastVisited() throws RemoteException;
    public long getTotalTimeSpent() throws RemoteException;

    public void setName(String s) throws RemoteException;
    public void setEmail(String s) throws RemoteException;
    public void setLastVisited(Timestamp t) throws RemoteException;
    public void setTotalTimeSpent(long l) throws RemoteException;

    //public int updateTotalTimeSpent(long t) throws RemoteException;


}

